Bug 1584892 - SELinux is preventing abrt-action-gen from 'map' accesses on the файл /home/mastaiza/.local/share/torbrowser/tbb/x86_64/tor-browser_ru/Browser/libplds4.so.
Summary: SELinux is preventing abrt-action-gen from 'map' accesses on the файл /home/m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cdda23a522473adf020dc975114...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 21:21 UTC by mastaiza
Modified: 2018-07-29 03:24 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:24:47 UTC
Type: ---


Attachments (Terms of Use)

Description mastaiza 2018-05-31 21:21:50 UTC
Description of problem:
SELinux is preventing abrt-action-gen from 'map' accesses on the файл /home/mastaiza/.local/share/torbrowser/tbb/x86_64/tor-browser_ru/Browser/libplds4.so.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-action-gen should be allowed map access on the libplds4.so file by default.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-gen' --raw | audit2allow -M my-abrtactiongen
# semodule -X 300 -i my-abrtactiongen.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:data_home_t:s0
Target Objects                /home/mastaiza/.local/share/torbrowser/tbb/x86_64/
                              tor-browser_ru/Browser/libplds4.so [ file ]
Source                        abrt-action-gen
Source Path                   abrt-action-gen
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-30.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.16.11-300.fc28.x86_64 #1 SMP Tue
                              May 22 18:29:09 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-06-01 01:54:25 +06
Last Seen                     2018-06-01 02:09:50 +06
Local ID                      b4e92ba9-f8d6-41f4-9f70-b79713c2ccc6

Raw Audit Messages
type=AVC msg=audit(1527797390.993:271): avc:  denied  { map } for  pid=20720 comm="abrt-action-gen" path="/home/mastaiza/.local/share/torbrowser/tbb/x86_64/tor-browser_ru/Browser/libplds4.so" dev="sda4" ino=15074374 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:data_home_t:s0 tclass=file permissive=1


Hash: abrt-action-gen,abrt_t,data_home_t,file,map

Version-Release number of selected component:
selinux-policy-3.14.1-30.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.11-300.fc28.x86_64
type:           libreport

Potential duplicate: bug 1483713

Comment 1 Sergei S. Rublёv 2018-07-13 19:38:15 UTC
Description of problem:
Steam launch

Version-Release number of selected component:
selinux-policy-3.14.1-32.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.17.4-200.fc28.x86_64
type:           libreport

Comment 2 Fedora Update System 2018-07-25 22:31:08 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-26 16:33:00 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 4 Fedora Update System 2018-07-29 03:24:47 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.